#pragma once
#include "../base/provider_interface.hpp"

namespace lsp::providers::shutdown
{
    class ShutdownProvider : public IRequestProvider
    {
    public:
        ShutdownProvider() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ProviderContext& context) override;
    };
}
